CALIBREDB(1)

NAME
calibredb - calibredb

calibredb comando [options] [arguments]

calibredb is the command line interface to the calibre database. It has several sub-commands, documented below.

calibredb can be used to manipulate either a calibre database specified by path or a calibre Content server running either on the local machine or over the internet. You can start a calibre Content server using either the calibre-server program or in the main calibre program click Connect/share  → Start Content server. Since calibredb can make changes to your calibre libraries, you must setup authentication on the server first. There are two ways to do that:

•   If you plan to connect only to a server running on the same computer, you can simply use the --enable-local-write option of the content server, to allow any program, including calibredb, running on the local computer to make changes to your calibre data. When running the server from the main calibre program, this option is in Preferences → Sharing over the net → Advanced.

•   If you want to enable access over the internet, then you should setup user accounts on the server and use the --username and --password options to calibredb to give it access. You can setup user authentication for calibre-server by using the --enable-auth option and using --manage-users to create the user accounts. If you are running the server from the main calibre program, use Preferences → Sharing over the net → Require username/password.

    To connect to a running Content server, pass the URL of the server to the --with-library option, see the documentation of that option for details and examples.

•   OPÇÕES GLOBAIS

•   list

•   add

•   Adicionar a partir de pastas

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB OPÇÕES

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

OPÇÕES GLOBAIS

--help, -h
    mostrar esta mensagem de ajuda e sair

--library-path, --with-library
    Path to the calibre library. Default is to use the path stored in the settings. You can also connect to a calibre Content server to perform actions on remote libraries. To do so use a URL of the form: http://hostname:port/#library_id for example, http://localhost:8080/#mylibrary. library_id is the library id of the library you want to connect to on the Content server. You can use the special library_id value of - to get a list of library ids available on the server. For details on how to setup access via a Content server, see https://manual.calibre-ebook.com/generated/en/calibredb.html.

--password
    Password for connecting to a calibre Content server. To read the password from standard input, use the special value: <stdin>. To read the password from a file, use: <f:/path/to/file> (i.e. <f: followed by the full path to the file and a trailing >). The angle brackets in the above are required, remember to escape them or use quotes for your shell.

--username
    Nome de utilizador para ligar ao servidor de conteúdos do Calibre

--version
    mostrar o número da versão do programa e sair

LIST

calibredb list [options]

Lista de livros disponíveis na base de dados do Calibre.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--ascending
    Ordenar os resultados em ordem ascendente

--fields, -f
    The fields to display when listing books in the database. Should be a comma separated list of fields. Available fields: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Default: title,authors. The special field "all" can be used to select all fields. In addition to the builtin fields above, custom fields are also available as *field_name, for example, for a custom field #rating, use the name: *rating

--for-machine
    Gerar ficheiro de saída no formato JSON, que é mais adequado para analise da maquina. isto fará com que a linha de largura e as opções de separador sejam ignorados.

--limit
    O número máximo de resultados a mostrar. Predefinição: todos

--line-width, -w
    A largura máxima de uma linha no ficheiro de destino. A predefinição será detetar o tamanho do ecrã.

--prefix
    O prefixo para todos os caminhos para os ficheiros. A predefinição é usar o caminho absoluto para a pasta da biblioteca.

--search, -s
    Filtrar resultados pela pesquisa. Para o formato da pesquisa, veja a documentação relacionada com as pesquisas no Manual do Utilizador. A pré-definição é não filtrar.

--separator
    A expressão utilizada para separar os campos. A predefinição é um espaço.

--sort-by
    O campo pelo qual ordenar os resultados. Campos disponíveis:author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid A predefinição é: id

ADD

calibredb adicionar [options] ficheiro1 ficheiro2 ficheiro3 ...

Adicionar os ficheiros especificados à base de dados. Também pode especificar pastas, ver abaixo as opções relativas às pastas.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--authors, -a
    Definir o autor do(s) livro(s) adicionado(s)

--cover, -c
    Caminho para a capa utilizar no livro adicionado

--duplicates, -d
    Adicionar livros à base de dados mesmo se estes já existem. A comparação é feita baseada nos títulos dos livros.

--empty, -e
    Adicionar um livro vazio (um livro sem formatos)

--identifier, -I
    Definir a identificação deste livro, por exemplo -I asin:XXX -I isbn:YYY

--isbn, -i
    Definir o ISBN do(s) livro(s) adicionado(s)

--languages, -l
    Uma lista de idiomas separada por vírgulas (melhor utilizar códigos de idioma ISO639, apesar de alguns nomes de idiomas poderem ser reconhecidos)

--series, -s
    Definir as séries do(s) livro(s) adicionado(s)

--series-index, -S
    Definir o numero na série do(s) livro(s) adicionado(s)

--tags, -T
    Definir as etiquetas do(s) livro(s) adicionado(s)

--title, -t
    Definir o título do(s) livro(s) adicionado(s)

  Adicionar a partir de pastas

Opções para controlar a inclusão de livros de pastas. Por predefinição só os ficheiros com extensões conhecidas de formatos de livros é que serão adicionados.

--add
    A filename (glob) pattern, files matching this pattern will be added when scanning directories for files, even if they are not of a known e-book file type. Can be specified multiple times for multiple patterns.

--ignore
    A filename (glob) pattern, files matching this pattern will be ignored when scanning directories for files. Can be specified multiple times for multiple patterns. For e.g.: *.pdf will ignore all pdf files

--one-book-per-directory, -1
    Assumir que cada pasta tem só um único livro lógico e que todos os ficheiros nela contidos são formatos diferentes desse livro

--recurse, -r
    Processar as pastas recursivamente

REMOVE

calibredb remover ids

Remover os livros, identificados por ID, da base de dados. Os ID devem estar numa lista de números de ID, separados por vírgulas. Você pode obter o numero de ID através do comando de pesquisa. Por exemplo, 23,34,57-85 (se especificar um intervalo, o último número do intervalo não será incluído).

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--permanent
    Não usar a reciclagem

ADD_FORMAT

calibredb add_format [options] ID ebook_file

Adicionar o livro em ebook_file para os formatos disponíveis para o livro lógico identificado por ID. Pode obter o ID usando o comando de pesquisa. Caso o formato já exista será substituído, a menos que esteja especificada a opção de não substituir.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--dont-replace
    Não substituir o formato se o formato já existir

REMOVE_FORMAT

calibredb remove_format [options] id fmt

Remover o formato fmt do livro lógico identificado pelo ID. Pode saber o ID usando o comando search. fmt deve ser uma extensão de ficheiro como LRF ou TXT ou EPUB. Se o livro lógico não tem fmt disponível, não fazer nada.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

SHOW_METADATA

calibredb show_metadata [options] id

Mostrar os metadados armazenados na base de dados do Calibre para o livro identificado pelo ID. O ID é um número de identificação do comando de pesquisa.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--as-opf
    Imprimir os metadados no formulário OPF (XML)

SET_METADATA

calibredb set_metadata [options] id [/path/to/metadata.opf]

Definir os metadados armazenados na base de dados Calibre para o livro identificado pelo ID do ficheiro OPF metadata.opf. ID é um número de identificação do comando pesquisa. Pode ter uma ideia do formato OPF utilizando a opção --as-opf alternando para o comando show_metadata. Também pode definir os metadados de campos individuais com a opção --field. Se usar a opção --field, não haverá necessidade de especificar um ficheiro OPF.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--field, -f
    O campo a ser definido. O formato é field_name:value, por exemplo: --field tags:tag1,tag2. Use --list-fields para obter uma lista de todos os nomes de campo. Pode especificar essa opção várias vezes para definir vários campos. Nota: Para idiomas deve usar os códigos de linguagem ISO639 (por exemplo, en para Inglês, fr para Francês e assim por diante). Para identificadores, a sintaxe é --field identifiers:isbn:XXXX,doi:YYYYY. Para campos booleanos (sim/não) usam verdadeiro e falso ou sim e não.

--list-fields, -l
    Lista de nomes de campos de metadados que podem ser usadas com a opção --field

EXPORT

calibredb exportar [options] ID

Exporta os livros especificados pelos ID (numa lista separada por virgulas) para o sistema de ficheiros. A operação de exportação guarda todos os formatos do livro, a sua capa e os metadados (num ficheiro OPF). Pode saber os números de ID através do comando de pesquisa.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--all
    Exportar todos os livros da base de dados, ignorando a lista de IDs.

--dont-asciiize
    Normalmente o Calibre converte todos os caracteres não ingleses para equivalentes ingleses nos nomes dos ficheiros. AVISO: Se desligar isto podem ocorrer erros ao guardar, dependendo do suporte Unicode do sistema de ficheiros no qual está a guardar. Especificar este parâmetro irá desligar este comportamento.

--dont-save-cover
    Normalmente o Calibre guarda a capa num ficheiro separado, junto dos outros ficheiros do livro. Especificar este parâmetro irá desligar este comportamento.

--dont-update-metadata
    Normalmente o Calibre atualiza os metadados nos ficheiros guardados a partir da biblioteca do Calibre. Torna o guardar no disco mais lento. Especificar este parâmetro irá desligar este comportamento.

--dont-write-opf
    Normalmente o Calibre escreve os metadados num ficheiro OPF separado, junto aos ficheiros do livro em causa. Especificar este parâmetro irá desligar este comportamento.

--formats
    Lista separada por vírgulas de de formatos a guardar para cada livro. A predefinição todos os formatos disponíveis são guardados.

--progress
    Relatório de execução

--replace-whitespace
    Substituir espaços por sobtraços

--single-dir
    Exportar todos os livros para uma única pasta

--template
    Modelo para controlar a estrutura de nome de ficheiro e pasta dos ficheiros guardados. O padrão é "{author_sort}/{title}/{title} - {authors}", que vai guardar os livros numa subpasta por autor com nomes de ficheiros contendo título e autor. Os controlos disponíveis são: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    O formato para exibir datas. %d - dia, %b - mês, %m - número do mês, %Y - ano. O padrão é: %b, %Y

--to-dir
    Exportar os livros para a pasta especificada. A predefinição é .

--to-lowercase
    Converter os caminhos para minúsculas.

CATALOG

calibredb catalog /path/to/destination.(CSV|EPUB|MOBI|XML ...) [options]

Exporta um catálogo em formato especificado por caminho/para/destino.extensão. As opções controlam a forma como as entradas serão mostradas no catálogo de saída gerada. Note que diferentes formatos de catalogo suportam diferentes conjunto de opções.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--ids, -i
    Lista separada por vírgulas de ID de base de dados a catalogar. Se declarada, --search será ignorada. Predefinição: all (todas)

--search, -s
    Filtrar os resultados dos termos de pesquisa. Para saber mais sobre o formato dos termos da pesquisa, consulte a documentação relacionada com a pesquisa no manual de utilizador. Predefinição: sem filtragem

--verbose, -v
    Mostrar informação de saída detalhada. Útil para depurar.

  EPUB OPÇÕES

--catalog-title
    Título do catálogo gerado utilizado como título nos metadados. Padrão: 'My Books' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--cross-reference-authors
    Criar referências cruzadas na secção de autores para livros com múltiplos autores. Padrão: 'False' Aplica-se a: formatos de saída AZW3,EPUB, MOBI

--debug-pipeline
    Guarda o resultado, na pasta especificada, dos diferentes estágios da cadeia de conversão. Será útil se não tiver a certeza onde é que está a ocorrer o erro do processo de conversão. Padrão: 'None' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--exclude-genre
    Etiquetas descritivas Regex a excluir como géneros. Padrão: '[.+]|^+$' exclui etiquetas com chaveta, por ex. '[Project Gutenberg]', e '+', a etiqueta padrão para ler livros. Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--exclusion-rules
    Especifica as regras usadas para excluir livros do catálogo gerado. O modelo para uma regra de exclusão é ('<nome da regra>','Tags','<lista de etiquetas separadas por vírgula>') ou ('<nome da regra>','<coluna personalizada>','<padrão>'). Por exemplo: (('Livros arquivados','#status','Arquivado'),) irá excluir um livro com um valor de 'Arquivado' na coluna personalizada 'status'. Quando várias regras são definidas, todas as regras serão aplicadas. Padrão: "(('Catalogs','Tags','Catalog'),)" Aplica-se aos formatos de saída AZW3, EPUB, MOBI

--generate-authors
    Incluir a secção 'Autores' no catálogo. Padrão: 'False' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--generate-descriptions
    Incluir a secção 'Descrição' no catálogo. Padrão: 'False' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--generate-genres
    Incluir a secção 'Géneros' no catálogo. Padrão: 'False' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--generate-recently-added
    Incluir a secção 'Recentemente adicionado' no catálogo. Padrão: 'False' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--generate-series
    Incluir a secção 'Séries' no catálogo. Padrão: 'False' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--generate-titles
    Incluir a secção 'Títulos' no catálogo. Padrão: 'False' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--genre-source-field
    Campo fonte para a secção 'Géneros'. Padrão: 'Etiquetas' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--header-note-source-field
    Campo personalizado que contém texto de notas para inserir no cabeçalho "Descrição". Padrão: '' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--merge-comments-rule
    #<custom field>:[before|after]:[True|False] especificando: <custom field> Campo personalizado contendo notas para mesclar com os Comentários [before|after] Espaços reservados de notas com os respectivos Comentários [True|False] - Uma régua horizontal é inserida entre notas e Comentários Padrão: '::' Aplica-se a formatos de saída AZW3, EPUB, MOBI

--output-profile
    Especifica um perfil de saída para equipamento. Em alguns casos, um perfil de saída é necessário para otimizar o catálogo para um equipamento específico. Por exemplo, 'kindle' ou 'kindle_dx' cria um índice com secções e artigos. Padrão: 'None' Aplica-se aos formatos de saída AZW3, EPUB, MOBI

--prefix-rules
    Especifica as regras usadas para incluir prefixos que indiquem livros de leitura, itens de lista de desejos e outros prefixos especificados pelo utilizador. O modelo para uma regra de prefixo é ('<nome da regra>','<campo do recurso>','<padrão>','<prefixo>'). Quando várias regras forem definidas, será usada a primeira regra correspondente. Padrão: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Aplica-se a formatos de saída AZW3, EPUB, MOBI

--preset
    Utilizar um nome predefinido criado com a GUI do construtor de catálogo. Uma predefinição especifica todas as configurações para construir um catálogo. Padrão: 'None' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--thumb-width
    Dica de tamanho (em pol.) para as capas de livros no catálogo. Faixa: 1.0 - 2.0 Padrão: '1.0' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

--use-existing-cover
    Substituir uma capa existente quando gerar o catálogo. Padrão: 'False' Aplica-se a: formatos de saída AZW3, EPUB, MOBI

SAVED_SEARCHES

calibredb saved_searches [options] (list|add|remove)

Manage the saved searches stored in this database. If you try to add a query with a name that already exists, it will be replaced.

Syntax for adding:

calibredb saved_searches add search_name search_expression

Syntax for removing:

calibredb saved_searches remove search_name

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

ADD_CUSTOM_COLUMN

calibredb add_custom_column [opções] identificador nome tipo-de-dado

Cria uma coluna personalizada. "identificador" é o nome de máquina para coluna. Não pode conter espaços ou dois-pontos. "nome" é o nome da coluna que será exibido. tipo-de-dado pode ser um dos seguintes: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--display
    Um dicionário de opções para personalizar a forma como os dados nesta coluna serão interpretados. Esta é uma string JSON. Para colunas de enumeração, use --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" Existem muitas opções que podem ir para as opções de variáveis de exibição. As opções por tipo de coluna são: composite: composite_template, composite_sort, make_category,contains_html, use_decorations datetime: date_format enumeration: enum_values, enum_colors, use_decorations int, float: number_format text: is_names, use_decorations A melhor maneira de encontrar combinações válidas é criar uma coluna personalizada do tipo apropriado na GUI e em seguida olhar para o backup OPF de um livro (assegure-se que um novo OPF foi criado da coluna foi acrescentado). Vai ver o JSON da "exibição" para a nova coluna em OPF.

--is-multiple
    Esta coluna armazena etiquetas como dados (ex. múltiplos valores separados por vírgulas). Só se aplica caso o tipo de dados seja de texto.

CUSTOM_COLUMNS

calibredb custom_columns [opções]

Lista as colunas personalizados disponíveis. Mostra etiquetas de colunas e os ID.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--details, -d
    Mostrar detalhes para cada coluna.

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [opções] etiquetas

Remover o campo personalizado com o identificador especificado. Pode ver quais os campos personalizados estão disponíveis com o comando custom_columns.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--force, -f
    Não solicitar confirmação

SET_CUSTOM

calibredb set_custom [opções] identificador livro_id valor

Define o conteúdo de um coluna personalizada do livro identificado pelo ID. Pode obter uma lista dos ID usando o comando search. Pode obter uma lista de colunas personalizadas usando o comando custom_columns.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--append, -a
    Se a coluna armazena valores múltiplos, adicione os valores especificados aos já existentes em vez de os substituir.

RESTORE_DATABASE

calibredb restore_database [options]

Restaurar esta base de dados a partir dos metadados armazenados em arquivos OPF em cada pasta da biblioteca do Calibre. Isto é útil se o seu arquivo metadata.db tiver sido corrompido.

AVISO: Este comando regenera completamente a sua base de dados. Vai perder todas as pesquisas guardadas, categorias do utilizador, ligações a dispositivos, preferências de conversões por livro e receitas personalizadas. Os metadados restaurados serão tão precisos quanto os encontrados nos ficheiros OPF

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--really-do-it, -r
    Executar efetivamente a recuperação. O comando não irá ser executado se esta opção não for especificada.

CHECK_LIBRARY

calibredb check_library [options]

Executar algumas verificações no sistema de arquivos representando uma biblioteca. Os relatórios são invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--csv, -c
    Saída em CSV

--ignore_extensions, -e
    Lista separada por vírgulas de extensões a ignorar: Predefinição: todas

--ignore_names, -n
    Lista separada por vírgulas de nomes a ignorar: Predefinição: todos

--report, -r
    Lista separada por vírgulas de relatórios: Predefinição: todos

LIST_CATEGORIES

calibredb list_categories [options]

Produzir um relatório das informações da categoria na base de dados. A informação é equivalente à que é mostrada no painel de etiquetas.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--categories, -r
    Lista separada por vírgulas de categorias de termos de pesquisa. Predefinição: todas

--csv, -c
    Saída em CSV

--dialect
    O tipo de ficheiro CSV a criar. Opções: excel, excel-tab

--item_count, -i
    A saída só enumera os itens numa categoria em vez das contagens por item dentro de cada categoria

--width, -w
    A largura máxima de uma linha no ficheiro de destino. A predefinição será detetar o tamanho do ecrã.

BACKUP_METADATA

calibredb backup_metadata [options]

Backup dos metadados armazenados na base de dados em ficheiros OPF individuais em cada diretório de livros. Isso normalmente acontece automaticamente, mas pode executar este comando para forçar uma nova geração dos arquivos OPF, com a opção --all.

Note que normalmente não há necessidade de fazer isso, pois os arquivos OPF são copiados automaticamente, toda vez que os metadados são alterados.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--all
    Por norma, este comando só funciona com livros que tenham ficheiros OPF antiquados. Esta opção faz com que funcione com todos os livros.

CLONE

calibredb clone path/to/new/library

Criar um clone da biblioteca atual. Isto cria uma nova biblioteca vazia que contém as mesmas colunas personalizadas, bibliotecas virtuais e outros ajustes da biblioteca atual.

A biblioteca clonada não contêm livros. Se quiser criar uma cópia completa, incluindo todos os livros, use em seguida as ferramentas do sistema de arquivos para copiar a pasta da biblioteca.

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

EMBED_METADATA

calibredb embed_metadata [options] book_id

Update the metadata in the actual book files stored in the calibre library from the metadata in the calibre database. Normally, metadata is updated only when exporting files from calibre, this command is useful if you want the files to be updated in place. Note that different file formats support different amounts of metadata. You can use the special value 'all' for book_id to update metadata in all books. You can also specify many book ids separated by spaces and id ranges separated by hyphens. For example: calibredb embed_metadata 1 2 10-15 23

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--only-formats, -f
    Só atualiza metadados em ficheiros de formato especifico. Especifique-o em vários momentos para vários formatos. Por definição, todos os formatos são atualizados.

SEARCH

calibredb search [options] search expression

Search the library for the specified search term, returning a comma separated list of book ids matching the search expression. The output format is useful to feed into other commands that accept a list of ids as input.

The search expression can be anything from calibre's powerful search query language, for example: author:asimov title:robot

Sempre que passar argumentos para o calibredb que contenham espaços ponha-os entre aspas. Por exemplo: "/some path/with spaces"

--limit, -l
    O número máximo de resultados a mostrar. O padrão é todos os resultados.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal